from sqlmodel import SQLModel, Session, create_engine
from app.core.config import settings
from backend.dummy_data import insert_dummy_data

engine = create_engine(settings.database_url, echo=settings.debug)


def init_db():
    SQLModel.metadata.create_all(engine, checkfirst=True)
    with Session(engine) as session:
        insert_dummy_data(session)


def get_session():
    with Session(engine) as session:
        yield session
